Enrich People (start)
Quota and credit usage
This endpoint checks your available people enrichment quota and credits before creating the enrichment job. If there is not enough quota or credit balance for the request, the job is not created.
Starts an asynchronous bulk enrichment job for the provided list of people.
Include the fields you want to enrich in include and provide at least one valid identifier for each person:
linkedinUrl; orfirstName,lastName, and eithercompanyNameorcompanyDomain.
Set include.linkedInUrl to return additional profile data from Surfe’s internal database and external pre-enrichment providers.
Credit usage depends on the cascades you request and the valid results found:
- The regular email cascade costs 1 email credit per email found. Enable it with
include.email. - The personal email cascade costs 2 email credits per personal email found. It is optimized for better find rate and speed when searching for personal emails. Enable
include.emailand setenrichmentOptions.acceptedEmailTypetopersonal. Contact Surfe API Support to enable this cascade. - The mobile cascade costs 1 mobile credit per valid mobile phone found. Enable it with
include.mobile.
When the personal email cascade is enabled, include.mobile is ignored.
The response returns an enrichmentID and an enrichmentCallbackURL. Use these values to track the job and retrieve the results after processing completes.
We recommend setting notificationOptions.webhookUrl when creating the job. When the enrichment completes, Surfe sends the results to your webhook using the person.enrichment.completed event. See the webhook documentation for details.
If you do not use webhooks, you can check progress and retrieve completed results with GET /v2/people/enrich/:id. Polling is supported, but webhooks are more efficient and avoid unnecessary delay or load.
Looking for V1? It’s deprecated, but still available here.
Single person enrichment is deprecated too. You can learn more here.
Authorization
AuthorizationRequiredBearer <token>In: header
Request Body
application/jsonRequiredPeople to enrich
enrichmentOptionsobjectincludeRequiredobjectInclude - List of fields to include in the enrichment results. Must have at least one field.
notificationOptionsobjectpeopleRequiredarray<object>People - List of people to enrich. Must contain at least one person and at most 10000. Better find rates can be achieved by providing as much information as possible.
Header Parameters
X-Request-OriginstringX-Request-Origin header to identify the source of the request (e.g., 'web', 'mobile', 'api')
Enrichment ID